## lsof 4.95.0

=== tests/Makefile ===
# Makefile for testing lsof
#
# V. Abell
# Purdue University
#
# $Id: Makefile,v 1.17 2005/05/17 00:40:53 abe Exp abe $

DEBUG=
CFLAGS=	${DEBUG} -I. -I..

HDR=	LsofTest.h

CKTSTDB= CkTestDB
CONFCFL= ./config.cflags
CONFIG=	./config.cc ${CONFCFL} ./config.xobj
LTOBJ=	LTlib.o
LTSRC=	LTlib.c
LIBOBJ=	${LTOBJ}

BASTST=	LTbasic
STDTST=	LTnlink LTsock LTszoff LTunix
OPTTST=	LTbigf LTdnlc LTlock LTnfs

all:	${CKTSTDB} ${BASTST} ${STDTST} FRC
	@./${CKTSTDB}; xv=$$?; \
	if [ $$xv -ne 0 ]; then \
	  exit 1 ;\
	fi
	@rm -f config.LT*
	@err=0; \
	echo ""; \
	echo "Basic test:"; \
	./${BASTST}; \
	if [ $$? -ne 0 ]; then \
	  exit 1; \
	fi; \
	echo ""; \
	echo "Standard tests:"; \
	for i in ${STDTST}; do \
	  ./$$i; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	if [ $$err -ne 0 ]; then \
	  echo "Failed tests: $$err"; \
	  echo ""; \
	  echo "See 00FAQ and 00TEST for more information."; \
	else \
	  echo "All standard tests succeeded."; \
	  echo ""; \
	  grep LT_DIAL_darwin ${CONFCFL} > /dev/null 2>&1; \
	  if [ $$? -ne 0 ]; then \
	    echo "Suggestion: try the optional tests: \"make opt\""; \
	    echo ""; \
	  fi; \
	fi; \
	rm -f config.LT*; \
	if [ $$err -ne 0 ]; then \
	  exit 1; \
	fi

auto:	ckDB silent FRC

ckDB:	${CKTSTDB} FRC
	@echo "" | ./${CKTSTDB}; xv=$$?; \
	if [ $$xv -ne 0 ]; then \
	  exit 1 ;\
	fi

clean:	FRC
	rm -f ${BASTST} ${STDTST} ${OPTTST} *.o *.err *.out config.LT*

FRC:

LTbasic: LTbasic.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTbasic.c \
	${LIBOBJ} `cat config.xobj` -o LTbasic

LTbigf: LTbigf.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTbigf.c \
	${LIBOBJ} `cat config.xobj` -o LTbigf

LTdnlc: LTdnlc.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTdnlc.c \
	${LIBOBJ} `cat config.xobj` -o LTdnlc

LTlock: LTlock.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTlock.c \
	${LIBOBJ} `cat config.xobj` -o LTlock

${LTOBJ}: ${HDR} ${LTSRC} config.cflags config.cc
	`cat config.cc` ${CFLAGS} `cat config.cflags` -c ${LTSRC} \
	-o ${LTOBJ}

LTnfs:	LTnfs.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTnfs.c \
	${LIBOBJ} `cat config.xobj` -o LTnfs

LTnlink: LTnlink.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTnlink.c \
	${LIBOBJ} `cat config.xobj` -o LTnlink

LTsock: LTsock.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTsock.c \
	${LIBOBJ} `cat config.xobj` -o LTsock `cat config.ldflags`

LTszoff: LTszoff.c ${CONFIG} ${LIBOBJ} ${HDR}
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTszoff.c \
	${LIBOBJ} `cat config.xobj` -o LTszoff

LTunix: LTunix.c ${CONFIG} ${LIBOBJ} ${HDR} config.ldflags
	`cat config.cc` ${CFLAGS} `cat config.cflags` LTunix.c \
	${LIBOBJ} `cat config.xobj` -o LTunix `cat config.ldflags`

opt:	${CKTSTDB} ${OPTTST} FRC
	@rm -f config.LT*
	@err=0; \
	echo ""; \
	echo "Optional tests:"; \
	for i in ${OPTTST}; do \
	  ./$$i; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	if [ $$err -ne 0 ]; then \
	  echo "Failed tests: $$err"; \
	else \
	  echo "All optional tests succeeded."; \
	fi; \
	echo ""; \
	rm -f config.LT*; \
	if [ $$err -ne 0 ]; then \
	  exit 1; \
	fi

optional: opt

silent:	${BASTST} ${STDTST} FRC
	@rm -f config.LT*
	@err=0; \
	./${BASTST} > /dev/null 2>&1; \
	if [ $$? -ne 0 ]; then \
	  exit 1; \
	fi; \
	for i in ${STDTST}; do \
	  ./$$i > /dev/null 2>&1; \
	  if [ $$? -ne 0 ]; then \
	    err=`expr $$err + 1`; \
	  fi; \
	done; \
	rm -f config.LT*; \
	if [ $$err -ne 0 ]; then \
	  exit 1; \
	fi

spotless: clean
	rm -f config.*

standard: all

std: all

test: all

=== dialects/linux/Makefile ===

# Linux /proc-based Makefile
#
# $Id: Makefile,v 1.11 2008/04/15 13:30:01 abe Exp $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
DEP=	${CFGD} ${CFGDN}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEP} ${DEBUG}

GRP=

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    dfile.c dmnt.c dnode.c dproc.c dsock.c dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c \
	util.c

OBJ=	dfile.o dmnt.o dnode.o dproc.o dsock.o dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o \
	util.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${P} ${LIB} ${OBJ}
	${CC} -o $@ ${OBJ} ${CFGL}

check: all
	bash ./check.bash linux

dist: clean
	test -d .git && bash support/GenericDistrib2 linux

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h ${CFGDN}
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)
	(cd tests; ${MAKE} clean)
	(cd dialects/linux/tests; ${MAKE} clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setuid to root if you wish any lsof user to be able to examine'
	@echo 'all open files.  Your install rule actions might look something'
	@echo 'like this:'
	@echo ''
	@echo '    install -m 4xxx -o root -g $${GRP} $${PROG} $${BIN}'
	@echo '    install -m 444 $${MAN} $${DOC}'
	@echo ''
	@echo 'You will have to complete the 4xxx modes, the GRP value, and'
	@echo 'the skeletons for the BIN and DOC strings, given at the'
	@echo 'beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= sys'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_CINFO	"${CINFO}"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

util.o:		${HDR} util.c

# *** Do not add anything here - It will go away. ***

=== dialects/linux/tests/Makefile ===
HELPERS = \
	epoll \
	eventfd \
	mq_fork \
	mq_open \
	pidfd \
	pipe \
	pty \
	ux \
	\
	open_with_flags \
	\
	$(NULL)

CFLAGS  = -g -Wall -std=c99

.PHONY: clean all

all: $(HELPERS)
clean:
	rm -f $(HELPERS) *.o

# See
# https://stackoverflow.com/questions/19964206/weird-posix-message-queue-linking-issue-sometimes-it-doesnt-link-correctly
#
# We cannot use LDFLAGS here.
# -lrt must be at the end of the command line.
#
mq_open: mq_open.o
	$(CC) $(CFLAGS) -o $@ $< -lrt
mq_fork: mq_fork.o
	$(CC) $(CFLAGS) -o $@ $< -lrt

=== debian/changelog ===
lsof (4.95.0-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch to pull in the linux-specific upstream version, and
    properly mangle the new upstream version format.
  * Drop excluded files from debian/copyright, and stop repacking as
    +dfsg. The uw dialect stuff is gone (again, linux-specific), and
    that stray a.out file went away.
  * Update patches:
    - patches/examples: drop, merged upstream (with improvements).
    - patches/manpage: drop, merged upstream.
    - patches/obsolete: drop, merged upstream.
    - patches/preset-ccdate: drop, merged upstream.
    - patches/tests: refresh.

 -- Andres Salomon <dilinger@debian.org>  Thu, 28 Apr 2022 04:08:23 +0000

lsof (4.94.0+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #1004521).
  * Ack NMU; thanks Kentaro! (closes: #950601).
  * Upstream now processes the manpage for us, so we can drop the call to
    soelim and even the entire dh_installman override hook.
  * Clean up a bunch of lintian warnings, use debhelper compat level 12,
    and update standards version.
  * Drop a stray a.out binary that ended up in upstream's tarball.
  * Drop Suggests: perl. The higher dh compat now automatically compresses
    the example perl scripts, so manually installing perl can just be
    another step to running those scripts if desired (closes: #880553).
  * Update patches:
    - patches/manpage: renamed manpage from Lsof.8 to lsof.8
    - patches/preset-ccdate: drop all the non-linux dialect patches, and
      drop all the fancy logic; just delete LSOF_CCDATE.
    - patches/ftbfs: drop patch; merged upstream.

 -- Andres Salomon <dilinger@debian.org>  Sun, 10 Apr 2022 00:54:02 -0400

=== debian/control ===
Source: lsof
Section: utils
Priority: standard
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 12), libselinux1-dev [linux-any]
Standards-Version: 4.6.0.1
Homepage: https://github.com/lsof-org/lsof

Package: lsof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
ifeq ($(shell uname -s),GNU/kFreeBSD)
    PLATFORM:=freebsd
else
    PLATFORM:=linux
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# this is used by ./Configure
LSOF_CFGF := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LSOF_CFGF
LSOF_CFGL := $(shell dpkg-buildflags --get LDFLAGS)
export LSOF_CFGL
# prevent recording of details of the build environment to ensure build
# reproducibility
LSOF_CCDATE := none
LSOF_HOST := none
LSOF_LOGNAME := none
LSOF_SYSINFO := none
LSOF_USER := none
export LSOF_CCDATE LSOF_HOST LSOF_LOGNAME LSOF_SYSINFO LSOF_USER

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    export LSOF_CC := $(DEB_HOST_GNU_TYPE)-gcc
    export LSOF_CCV := $(shell $(LSOF_CC) -v 2>&1 | sed -n 's/.*version \(.*\)/\1/p')
    export LINUX_CONF_CC := gcc
    export LSOF_AR := $(DEB_HOST_GNU_TYPE)-ar cr
    export LSOF_RANLIB := $(DEB_HOST_GNU_TYPE)-ranlib
    # Autodetection will fail.
    LSOF_CFGF += -DHAS_STRFTIME
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f dfile.c dlsof.h dmnt.c dnode.c dproc.c dproto.h dsock.c dstore.c machine.h Makefile
	rm -f lib/Makefile
	cd tests && make clean && cd -
	rm -f tests/config.cc tests/config.cflags tests/config.ldflags tests/config.xobj

override_dh_auto_configure:
	./Configure -n ${PLATFORM}

override_dh_installchangelogs:
	dh_installchangelogs 00DIST

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd tests && make test && make opt && cd -
endif

%:
	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+dfsg, uversionmangle=s/.linux//" \
    https://github.com/lsof-org/lsof/releases \
    .*/lsof_(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lsof 4.99.3+dfsg

=== debian/changelog ===
lsof (4.99.3+dfsg-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 18 Feb 2025 01:16:47 +0000

lsof (4.99.3+dfsg-2) unstable; urgency=low

  * Add pkgconf as a build-dep (closes: #1087435).

 -- Andres Salomon <dilinger@debian.org>  Thu, 14 Nov 2024 11:09:40 +0000

lsof (4.99.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Ack NMU (thanks Sebastian!), add libtirpc-dev build-dep.
  * Fix debian/watch to switch back to generic upstream version; the
    linux-specifc version is gone (closes: #1043481).
  * Likewise, re-add excluded-files and resume repacking as +dfsg, as
    the uw dialect stuff is back. And delete some other unnecessary
    dialects that clutter up our copyright file.
  * Upstream switched from custom Configure and hardcoded Makefiles to
    autotools; update d/rules for that.
  * Update d/patches:
    - tests: replace to deal with Makefile.am instead of tests/Makefile.
      Also delete three additional tests that fail in my chroot.
    - version.patch: pulled from upstream to fix version test.
    - netcat.patch: pulled from upstream to skip tests if wrong version
      of netcat (because one of the nc tests hangs for some reason).
      A fixed version should build-dep on netcat-openbsd.
  * Drop d/manpages, as autoconf does the right thing.
  * Upstream also separated core lsof functionality into a library;
    create liblsof0 and liblsof-dev packages, with the lsof package
    using liblsof0.
  * Related to the lib-ification, clean up d/copyright. Update paths for
    the new src/ and lib/ split, delete now unused licenses, and delete
    or correct other copyright, license, and file path details.

 -- Andres Salomon <dilinger@debian.org>  Wed, 13 Nov 2024 08:37:11 +0000

lsof (4.95.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add libtirpc-dev to Build-Depends (Closes: #1065283,
    #1063461)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 12:43:21 +0100

=== debian/control ===
Source: lsof
Section: utils
Priority: standard
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 12),
  libselinux1-dev [linux-any],
  libtirpc-dev,
  pkgconf
Standards-Version: 4.6.0.1
Homepage: https://github.com/lsof-org/lsof

Package: lsof
Architecture: any
Depends: liblsof0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the classic lsof command line tool.

Package: liblsof-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblsof0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files (development files)
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the development files, allowing others
 to link directly to the lsof library.

Package: liblsof0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to list open files (shared library)
 Lsof is a Unix-specific diagnostic tool.  Its name stands
 for LiSt Open Files, and it does just that.  It lists
 information about any files that are open, by processes
 currently running on the system.  
 .
 This package contains the shared libraries used by the tool.

## lsof 4.99.4%2Bdfsg

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile docs/requirements.in
#
click==8.1.3
    # via mkdocs
ghp-import==2.1.0
    # via mkdocs
importlib-metadata==6.0.0
    # via
    #   markdown
    #   mkdocs
jinja2==3.1.4
    # via mkdocs
markdown==3.3.7
    # via mkdocs
markupsafe==2.1.1
    # via jinja2
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.4.2
    # via -r requirements.in
packaging==23.0
    # via mkdocs
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==2.2.1
    # via mkdocs
zipp==3.19.1
    # via importlib-metadata

## lsof 4.99.4+dfsg

=== lib/dialects/netbsd/Makefile ===

# NetBSD Makefile
#
# $Id: Makefile,v 1.12 2008/04/15 13:30:14 abe Exp $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC} -Iinclude -Ilib -Isrc -I.
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=	lib/common.h include/lsof_fields.h dlsof.h machine.h lib/proto.h dproto.h

SRC=    dmnt.c dnode.c dnode1.c dproc.c dsock.c dstore.c \
	arg.c main.c node.c print.c ptti.c store.c usage.c \
	util.c

OBJ=	dmnt.o dnode.o dnode1.o dproc.o dsock.o dstore.o \
	arg.o main.o node.o print.o ptti.o store.o usage.o \
	util.o

MAN=	lsof.8
MANLCL=	lsof.0

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${MANLCL}: ${MAN}
	rm -f ${MANLCL}
	nroff -mandoc -Tlp ${MAN} > ${MANLCL}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core *.core errs lint.out tags *.o
	rm -f machine.h.old new_machine.h version.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all ${MANLCL} FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '    install -cs -m 2755 -g $${GRP} $${PROG} $${BIN}/$${PROG}'
	@echo '    install -c -m 444 $${MANLCL} $${DOC}/$${MANLCL}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/local/man/man8'
	@echo '    GRP= kmem'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

util.o:		${HDR} util.c

# *** Do not add anything here - It will go away. ***

=== lib/dialects/openbsd/Makefile ===

# OpenBSD Makefile
#
# $Id: Makefile,v 1.12 2008/04/15 13:30:14 abe Exp $

PROG=	lsof

BIN=	${DESTDIR}

DOC=	${DESTDIR}

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC} -Iinclude -Ilib -Isrc -I.
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

GRP=

HDR=    lib/common.h include/lsof_fields.h dlsof.h machine.h lib/proto.h dproto.h

SRC=    dfile.c dmnt.c dnode.c dproc.c dsock.c dstore.c \
	arg.c main.c print.c ptti.c store.c usage.c \
	util.c

OBJ=	dfile.o dmnt.o dnode.o dproc.o dsock.o dstore.o \
	arg.o main.o print.o ptti.o store.o usage.o \
	util.o

MAN=	lsof.8
MANLCL=	lsof.0

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${MANLCL}: ${MAN}
	rm -f ${MANLCL}
	nroff -mandoc -Tlp ${MAN} > ${MANLCL}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core *.core errs lint.out tags *.o
	rm -f machine.h.old new_machine.h version.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all ${MANLCL} FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '    install -cs -m 2755 -g $${GRP} $${PROG} $${BIN}/$${PROG}'
	@echo '    install -c -m 444 $${MANLCL} $${DOC}/$${MANLCL}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/local/man/man8'
	@echo '    GRP= kmem'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dproc.o:	${HDR} dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

util.o:		${HDR} util.c

# *** Do not add anything here - It will go away. ***

=== lib/dialects/sun/Makefile ===

# Sun Makefile
#
# $Id: Makefile,v 1.13 2008/04/15 13:30:50 abe Exp $

PROG=	lsof

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS=	${CDEFS} ${INCL} ${DEBUG}

HDR=    lsof.h lsof_fields.h dlsof.h machine.h proto.h dproto.h

SRC=    ddev.c dfile.c dmnt.c dnode.c dnode1.c dnode2.c dproc.c dsock.c \
	dstore.c \
	arg.c main.c misc.c node.c print.c proc.c store.c usage.c util.c

OBJ=	ddev.o dfile.o dmnt.o dnode.o dnode1.o dnode2.o dproc.o dsock.o \
	dstore.o \
	arg.o main.o misc.o node.o print.o proc.o store.o usage.o util.o

MAN=	lsof.8

OTHER=	

SHELL=	/bin/sh

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}: ${LIB} ${P} ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h
	(cd lib; ${MAKE} -f Makefile.skel clean)

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lsof should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem (SunOS) or sys (Solaris) group.  Your SunOS'
	@echo 'install rule actions might look something like this:'
	@echo ''
	@echo '  install <options> -m 2755 -g kmem ${PROG} <bin_dest>'
	@echo '  install <options> -m 444 ${MAN} <man_dest>'
	@echo ''
	@echo 'Your Solaris install rule actions might look something like
	@echo 'this:'
	@echo ''
	@echo '  install -[cf] <bin_dest> <options> -m 2755 -g sys ${PROG}'
	@echo '  install -[cf] <man_dest> <options> -m 444 ${MAN}'
	@echo ''
	@echo 'You may have to put additional values in <options>, as required'
	@echo 'by the install application in your version of SunOS or Solaris.'
	@echo 'You will have to set the appropriate destination for the lsof'
	@echo 'executable in <bin_dest>; the appropriate destination for the'
	@echo 'man page in <man_dest>.'
	@echo ''

${LIB}: FRC
	(cd lib; ${MAKE} DEBUG="${DEBUG}" CFGF="${CFGF}")

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@echo '#define	LSOF_BLDCMT	"${LSOF_BLDCMT}"' > version.h;
	@echo '#define	LSOF_CC		"${CC}"' >> version.h
	@echo '#define	LSOF_CCV	"${CCV}"' >> version.h
	@echo '#define	LSOF_CCFLAGS	"'`echo ${CFLAGS} | sed 's/\\\\(/\\(/g' | sed 's/\\\\)/\\)/g' | sed 's/"/\\\\"/g'`'"' >> version.h
	@echo '#define	LSOF_CINFO	"${CINFO}"' >> version.h
	@if [ "X${LSOF_HOST}" = "X" ]; then \
	  echo '#define	LSOF_HOST	"'`uname -n`'"' >> version.h; \
	else \
	  if [ "${LSOF_HOST}" = "none" ]; then \
	    echo '#define	LSOF_HOST	""' >> version.h; \
	  else \
	    echo '#define	LSOF_HOST	"${LSOF_HOST}"' >> version.h; \
	  fi \
	fi
	@echo '#define	LSOF_LDFLAGS	"${CFGL}"' >> version.h
	@if [ "X${LSOF_LOGNAME}" = "X" ]; then \
	  echo '#define	LSOF_LOGNAME	"${LOGNAME}"' >> version.h; \
	else \
	  if [ "${LSOF_LOGNAME}" = "none" ]; then \
	    echo '#define	LSOF_LOGNAME	""' >> version.h; \
	  else \
	    echo '#define	LSOF_LOGNAME	"${LSOF_LOGNAME}"' >> version.h; \
	  fi; \
	fi
	@if [ "X${LSOF_SYSINFO}" = "X" ]; then \
	    echo '#define	LSOF_SYSINFO	"'`uname -a`'"' >> version.h; \
	else \
	  if [ "${LSOF_SYSINFO}" = "none" ]; then \
	    echo '#define	LSOF_SYSINFO	""' >> version.h; \
	  else \
	    echo '#define	LSOF_SYSINFO	"${LSOF_SYSINFO}"' >> version.h; \
	  fi \
	fi
	@if [ "X${LSOF_USER}" = "X" ]; then \
	  echo '#define	LSOF_USER	"${USER}"' >> version.h; \
	else \
	  if [ "${LSOF_USER}" = "none" ]; then \
	    echo '#define	LSOF_USER	""' >> version.h; \
	  else \
	    echo '#define	LSOF_USER	"${LSOF_USER}"' >> version.h; \
	  fi \
	fi
	@sed '/VN/s/.ds VN \(.*\)/#define	LSOF_VERSION	"\1"/' < version >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

ddev.o:		${HDR} ddev.c

dfile.o:	${HDR} dfile.c

dmnt.o:		${HDR} dmnt.c

dnode.o:	${HDR} dnode.c

dnode1.o:	${HDR} dnode1.c

dnode2.o:	${HDR} dnode2.c

dproc.o:	${HDR} kernelbase.h dproc.c

dsock.o:	${HDR} dsock.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

node.o:		${HDR} node.c

print.o:	${HDR} print.c

proc.o:		${HDR} proc.c

store.o:	${HDR} store.c

usage.o:	${HDR} version.h usage.c

util.o:		${HDR} util.c

# *** Do not add anything here - It will go away. ***

=== debian/changelog ===
lsof (4.99.4+dfsg-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:40:12 +0000

lsof (4.99.4+dfsg-2) unstable; urgency=medium

  * Rename no-socket-state-test.patch to disable-tests.patch, and disable
    another test that causes FTBFS on the buildds.

 -- Andres Salomon <dilinger@debian.org>  Wed, 19 Feb 2025 22:59:10 +0000

lsof (4.99.4+dfsg-1) unstable; urgency=medium

  * New upstream release; fixes gcc-15 build issues (closes: #1097318)
  * d/patches/version.patch: drop, merged upstream.
  * d/patches/netcat.patch: drop, merged upstream.
  * Update standards-version to 4.7. No changes needed.
  * Build-dep on netcat(-openbsd) to enable various tests.
  * d/patches/no-socket-state-test.patch: add fix to skip test that
    hangs indefinitely.

 -- Andres Salomon <dilinger@debian.org>  Tue, 18 Feb 2025 05:45:12 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper-compat (= 12),
   libselinux1-dev [linux-any],
   libtirpc-dev,
+  netcat-openbsd,
   pkgconf
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/lsof-org/lsof
 
 Package: lsof

=== debian/rules ===
--- 
+++ 
@@ -38,23 +38,13 @@
     LSOF_CFGF += -DHAS_STRFTIME
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f dfile.c dlsof.h dmnt.c dnode.c dproc.c dproto.h dsock.c dstore.c machine.h Makefile
-	rm -f lib/Makefile
-	cd tests && make clean && cd -
-	rm -f tests/config.cc tests/config.cflags tests/config.ldflags tests/config.xobj
-
-override_dh_auto_configure:
-	./Configure -n ${PLATFORM}
-
 override_dh_installchangelogs:
 	dh_installchangelogs 00DIST
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd tests && make test && make opt && cd -
-endif
+#override_dh_auto_test:
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	cd tests && make test && make opt && cd -
+#endif
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+dfsg" \
    https://github.com/lsof-org/lsof/tags  .*/v?(\d.*)@ARCHIVE_EXT@
